gnutls_x509_crt_get_preferred_hash_algorithm(3)

NAME
gnutls_x509_crt_get_preferred_hash_algorithm - API function

SYNOPSIS
#include <gnutls/compat.h>

int gnutls_x509_crt_get_preferred_hash_algorithm(gnutls_x509_crt_t crt, gnutls_digest_algorithm_t * hash, unsigned int * mand);

ARGUMENTS

gnutls_x509_crt_t crt
    Holds the certificate

gnutls_digest_algorithm_t *           hash
    The result of the call with the hash algorithm used for signature

unsigned int * mand
    If non-zero it means that the algorithm MUST use this hash. May be NULL.

DESCRIPTION
This function will read the certifcate and return the appropriate digest algorithm to use for signing with this certificate. Some certificates (i.e. DSA might not be able to sign without the preferred algorithm).

DEPRECATED
Please use gnutls_pubkey_get_preferred_hash_algorithm().

RETURNS
the 0 if the hash algorithm is found. A negative error code is returned on error.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/